# Retrieve clientId
source: https://developer.mastercard.com/mastercard-processing-core/documentation/use-cases/cms-identifiers-search/retrieve-clientid/index.md

## Overview {#overview}

The use case describes how you retrieve the `clientId` based on different client identifiers and pass in the client creation request (a `POST` request sent to the `/clients` endpoint) so that the CMS keeps mapping between them.

## Sequence diagram {#sequence-diagram}

Diagram retrieve-clientid

### Explanation {#explanation}

1. The server sends a `POST` request to the `/clients/searches` endpoint by passing the following required fields in the request body:
   * `clientIdentifierType`, where you can choose from one of the following values:
     * `CLIENT_NUMBER`
     * `IDENTIFICATION_DOCUMENT_NUMBER`
     * `SOCIAL_NUMBER`
     * `TAXPAYER_IDENTIFIER`
   * `clientIdentifier`, where you specify the value of the selected `clientIdentifierType` field value
2. The API returns the `clientId` number stored in the CMS.

Refer to [Sandbox testing](https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/cms-identifiers-search/retrieve-clientid/index.md) for information on how to execute the use case in the Sandbox environment.

## Endpoint {#endpoint}


API Reference: `POST /clients/searches`

